| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations Struct Reference

`#include <GaudiKernel/GrammarsV2.h>`

## Public Member Functions
void | operator() (ResultT &res, const std::string &title) const
void | operator() (ResultT &res, const double &val, const char lh) const
void | operator() (ResultT &res, int val) const
void | operator() (ResultT &res) const

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations

Definition at line 530 of file GrammarsV2.h.

## Member Function Documentation

template<typename Iterator , typename Skipper >

void Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations::operator() | ( | ResultT & | res,
|  | const std::string & | title
| ) |  | const
| inline

Definition at line 531 of file GrammarsV2.h.

531 { res.setTitle( title ); }
template<typename Iterator , typename Skipper >

void Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations::operator() | ( | ResultT & | res,
|  | const double & | val,
|  | const char | lh
| ) |  | const
| inline

Definition at line 532 of file GrammarsV2.h.

533 {
534 switch ( lh ) {
535 case 'l':
536 res.setLowEdge( val );
537 break;
538 case 'h':
539 res.setHighEdge( val );
540 break;
541 default:
542 break;
543 }
544 }
template<typename Iterator , typename Skipper >

void Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations::operator() | ( | ResultT & | res,
|  | int | val
| ) |  | const
| inline

Definition at line 545 of file GrammarsV2.h.

545 { res.setBins( val ); }
template<typename Iterator , typename Skipper >

void Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations::operator() | ( | ResultT & | res | ) | const
| inline

Definition at line 546 of file GrammarsV2.h.

546 {}

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h